/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.binding.ws.axis2.provision;

import java.util.Set;

import org.fabric3.binding.ws.axis2.provision.AxisPolicy;

/**
 * @version $Revision$ $Date$
 * 
 * TODO Support overloading.
 */
public interface Axis2PolicyAware {

    /**
     * Gets all the policies for requested operation.
     * 
     * @param operation Operation against which policies are requested.
     * @return Policies defined against the operation.
     */
    public Set<AxisPolicy> getPolicies(String operation);

    /**
     * Adds a policy against an operation.
     * 
     * @param operation Operation against which policy is added.
     * @param axisPolicy Policy that needs to be added.
     */
    public void addPolicy(String operation, AxisPolicy axisPolicy);

}
